RDKit::MolOps::AdjustQueryParameters Struct Reference

`#include <MolOps.h>`

## Public Member Functions

| AdjustQueryParameters ()

## Public Attributes

bool | adjustDegree
std::uint32_t | adjustDegreeFlags
bool | adjustRingCount
std::uint32_t | adjustRingCountFlags
bool | makeDummiesQueries
bool | aromatizeIfPossible
bool | makeBondsGeneric
std::uint32_t | makeBondsGenericFlags
bool | makeAtomsGeneric
std::uint32_t | makeAtomsGenericFlags
bool | adjustHeavyDegree
std::uint32_t | adjustHeavyDegreeFlags
bool | adjustRingChain
std::uint32_t | adjustRingChainFlags

## Detailed Description

Definition at line 277 of file MolOps.h.

## Constructor & Destructor Documentation

## AdjustQueryParameters()

RDKit::MolOps::AdjustQueryParameters::AdjustQueryParameters | ( |  | ) |

inline

Definition at line 296 of file MolOps.h.

## Member Data Documentation

## adjustDegree

bool RDKit::MolOps::AdjustQueryParameters::adjustDegree

add degree queries

Definition at line 278 of file MolOps.h.

Referenced by RDKit::RxnOps::ChemDrawRxnAdjustParams(), RDKit::RxnOps::DefaultRxnAdjustParams(), and RDKit::RxnOps::MatchOnlyAtRgroupsAdjustParams().

## adjustDegreeFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::adjustDegreeFlags

Definition at line 279 of file MolOps.h.

Referenced by RDKit::RxnOps::ChemDrawRxnAdjustParams(), RDKit::RxnOps::DefaultRxnAdjustParams(), and RDKit::RxnOps::MatchOnlyAtRgroupsAdjustParams().

## adjustHeavyDegree

bool RDKit::MolOps::AdjustQueryParameters::adjustHeavyDegree

adjust the heavy-atom degree instead of overall degree

Definition at line 290 of file MolOps.h.

## adjustHeavyDegreeFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::adjustHeavyDegreeFlags

Definition at line 292 of file MolOps.h.

## adjustRingChain

bool RDKit::MolOps::AdjustQueryParameters::adjustRingChain

add ring-chain queries

Definition at line 293 of file MolOps.h.

## adjustRingChainFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::adjustRingChainFlags

Definition at line 294 of file MolOps.h.

## adjustRingCount

bool RDKit::MolOps::AdjustQueryParameters::adjustRingCount

add ring-count queries

Definition at line 280 of file MolOps.h.

Referenced by RDKit::RxnOps::ChemDrawRxnAdjustParams(), RDKit::RxnOps::DefaultRxnAdjustParams(), and RDKit::RxnOps::MatchOnlyAtRgroupsAdjustParams().

## adjustRingCountFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::adjustRingCountFlags

Definition at line 281 of file MolOps.h.

Referenced by RDKit::RxnOps::ChemDrawRxnAdjustParams(), RDKit::RxnOps::DefaultRxnAdjustParams(), and RDKit::RxnOps::MatchOnlyAtRgroupsAdjustParams().

## aromatizeIfPossible

bool RDKit::MolOps::AdjustQueryParameters::aromatizeIfPossible

Definition at line 285 of file MolOps.h.

Referenced by RDKit::RxnOps::ChemDrawRxnAdjustParams(), RDKit::RxnOps::DefaultRxnAdjustParams(), and RDKit::RxnOps::MatchOnlyAtRgroupsAdjustParams().

## makeAtomsGeneric

bool RDKit::MolOps::AdjustQueryParameters::makeAtomsGeneric

convert atoms to generic queries (any atoms)

Definition at line 288 of file MolOps.h.

## makeAtomsGenericFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::makeAtomsGenericFlags

Definition at line 289 of file MolOps.h.

## makeBondsGeneric

bool RDKit::MolOps::AdjustQueryParameters::makeBondsGeneric

convert bonds to generic queries (any bonds)

Definition at line 286 of file MolOps.h.

## makeBondsGenericFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::makeBondsGenericFlags

Definition at line 287 of file MolOps.h.

## makeDummiesQueries

bool RDKit::MolOps::AdjustQueryParameters::makeDummiesQueries

convert dummy atoms without isotope labels to any-atom queries

Definition at line 283 of file MolOps.h.

Referenced by RDKit::RxnOps::ChemDrawRxnAdjustParams(), RDKit::RxnOps::DefaultRxnAdjustParams(), and RDKit::RxnOps::MatchOnlyAtRgroupsAdjustParams().

The documentation for this struct was generated from the following file:

- MolOps.h